| OpendTect 8.0

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
visSurvey::PlaneDataDisplay Class Reference
visSurvey

Used for displaying an inline, crossline or timeslice. More...

`#include <visplanedatadisplay.h>`

Inheritance diagram for visSurvey::PlaneDataDisplay:
[legend]

## Classes
struct | UpdateStageInfo

## Public Types
typedef OD::SliceType | SliceType
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Public Types inherited from visSurvey::SurveyObject
enum | AttribFormat { None , Cube , Traces , RandomPos , OtherFormat }

## Public Member Functions
| PlaneDataDisplay ()
void | acceptManipulation () override
bool | allowMaterialEdit () const override
bool | allowsPicks () const override
void | annotateNextUpdateStage (bool yn) override
float | calcDist (const Coord3 &) const override
bool | canDuplicate () const override
bool | canResetManipulation () const override
PlaneDataDisplay * | createTransverseSection (const Coord3 &pos, OD::SliceType slicetype) const
SurveyObject * | duplicate (TaskRunner *) const override
void | fillPar (IOPar &) const override
SurveyObject::AttribFormat | getAttributeFormat (int attrib=-1) const override
NotifierAccess * | getDataChangedNotifier ()
TrcKeyZSampling | getDataPackSampling (int attrib=0) const
Interval< float > | getDataTraceRange () const override
RefMan< VolumeDataPack > | getDisplayedVolumeDataPack (int attrib)
ConstRefMan< VolumeDataPack > | getDisplayedVolumeDataPack (int attrib) const override
const mVisTrans * | getDisplayTransformation () const override
NotifierAccess * | getManipulationNotifier () override
uiString | getManipulationString () const override
const MouseCursor * | getMouseCursor () const override
void | getMousePosInfo (const visBase::EventInfo &, Coord3 &, BufferString &val, uiString &info) const override
void | getMousePosInfo (const visBase::EventInfo &ei, IOPar &iop) const override
NotifierAccess * | getMovementNotifier () override
Coord3 | getNormal (const Coord3 &) const override
void | getObjectInfo (uiString &) const override
SliceType | getOrientation () const
bool | getRandomPos (DataPointSet &, TaskRunner *=nullptr) const override
const visBase::TextureRectangle * | getTextureRectangle () const
void | getTraceKeyPath (TrcKeySet &, TypeSet< Coord > *) const override
int | getTranslationDragKeys (bool depth) const
TrcKeyZSampling | getTrcKeyZSampling (bool displayspace=false, int attrib=-1) const override
TrcKeyZSampling | getTrcKeyZSampling (bool manippos, bool displayspace, int attrib=-1) const
const ZAxisTransform * | getZAxisTransform () const override
float | getZScale () const
visBase::GridLines * | gridlines ()
bool | hasPosModeManipulator () const override
bool | inEditMode () const
bool | isInlCrl () const override
bool | isManipulated () const override
bool | isManipulatorShown () const override
bool | isVerticalPlane () const override
float | maxDist () const override
int | nrResolutions () const override
void | resetManipulation () override
void | setDisplayTransformation (const mVisTrans *) override
void | setEditMode (bool yn)
void | setOrientation (SliceType)
bool | setRandomPosData (int attrib, const DataPointSet *, TaskRunner *) override
void | setResolution (int, TaskRunner *) override
void | setTranslationDragKeys (bool depth, int keys)
void | setTrcKeyZSampling (const TrcKeyZSampling &) override
bool | setZAxisTransform (ZAxisTransform *, TaskRunner *) override
void | showManipulator (bool) override
Undo & | undo ()
const Undo & | undo () const
bool | updatePlanePos (const TrcKeyZSampling &)
bool | usePar (const IOPar &) override
Public Member Functions inherited from visSurvey::MultiTextureSurveyObject
bool | addAttrib () override
void | allowShading (bool) override
bool | canAddAttrib (int nrattribstoadd=1) const override
bool | canBDispOn2DViewer () const override
bool | canDisplayInteractively () const
bool | canDisplayInteractively (Pos::GeomID) const
bool | canEnableTextureInterpolation () const override
bool | canHaveMultipleAttribs () const override
bool | canHaveMultipleTextures () const override
bool | canRemoveAttrib () const override
bool | canSetColTabSequence () const override
void | clearTextures ()
void | enableAttrib (int attrib, bool yn) override
void | enableTextureInterpolation (bool) override
const char * | errMsg () const override
unsigned char | getAttribTransparency (int) const override
const visBase::TextureChannels * | getChannels () const override
visBase::TextureChannels * | getChannels () override
const visBase::TextureChannel2RGBA * | getChannels2RGBA () const override
visBase::TextureChannel2RGBA * | getChannels2RGBA () override
int | getColTabID (int) const
const ColTab::MapperSetup * | getColTabMapperSetup (int attrib, int version) const override
const ColTab::MapperSetup * | getColTabMapperSetup (int) const
const ColTab::Sequence * | getColTabSequence (int) const override
const TypeSet< float > * | getHistogram (int) const override
int | getResolution () const override
const Attrib::SelSpec * | getSelSpec (int attrib, int version=-1) const override
| version=-1 gives current version
const TypeSet< Attrib::SelSpec > * | getSelSpecs (int attrib) const override
bool | isAngle (int attrib) const override
bool | isAttribEnabled (int attrib) const override
bool | isOn () const override
bool | isShown () const
int | maxNrAttribs () const override
int | nrAttribs () const override
int | nrTextures (int attrib) const override
bool | removeAttrib (int attrib) override
int | selectedTexture (int attrib) const override
void | selectTexture (int attrib, int texture) override
void | setAngleFlag (int attrib, bool yn) override
void | setAttribTransparency (int, unsigned char) override
bool | setChannels2RGBA (visBase::TextureChannel2RGBA *) override
void | setColTabMapperSetup (int, const ColTab::MapperSetup &, TaskRunner *) override
void | setColTabSequence (int, const ColTab::Sequence &, TaskRunner *) override
void | setSelSpec (int, const Attrib::SelSpec &) override
void | setSelSpecs (int attrib, const TypeSet< Attrib::SelSpec > &) override
bool | swapAttribs (int attrib0, int attrib1) override
bool | textureInterpolationEnabled () const override
bool | turnOn (bool yn) override
Public Member Functions inherited from visBase::VisualObjectImpl
const Material * | getMaterial () const
Material * | getMaterial () override
bool | isRightHandSystem () const override
NotifierAccess * | materialChange ()
void | readLock ()
void | readUnLock ()
void | setLockable ()
void | setMaterial (Material *) override
void | setRightHandSystem (bool yn) override
bool | tryReadLock ()
bool | tryWriteLock ()
void | writeLock ()
void | writeUnLock ()
Public Member Functions inherited from visBase::VisualObject
NotifierAccess * | deSelection () override
virtual bool | getBoundingBox (Coord3 &min, Coord3 &max) const
NotifierAccess * | rightClicked () override
const EventInfo * | rightClickedEventInfo () const
const TypeSet< VisID > * | rightClickedPath () const override
bool | selectable () const override
NotifierAccess * | selection () override
void | setSelectable (bool yn)
Public Member Functions inherited from visBase::DataObject
template<class T >
T * | addNodeState (T *ns)
void | deSelect () const
void | enableTraversal (unsigned int mask, bool yn=true)
virtual const char * | getClassName () const
SoNode * | getInventorNode ()
const SoNode * | getInventorNode () const
BufferString | getName () const override
NodeState * | getNodeState (int idx)
virtual float | getPixelDensity () const
VisID | id () const
virtual bool | isOK () const
bool | isPickable (bool actively=true) const
virtual bool | isSelected () const
bool | isTraversalEnabled (unsigned int mask) const
const OD::String & | name () const override
osg::Node * | osgNode (bool skipswitch=false)
const osg::Node * | osgNode (bool skipswitch=false) const
NodeState * | removeNodeState (NodeState *)
virtual bool | rightClickable () const
void | select () const
bool | serialize (const char *filename, bool binary=false)
virtual void | setDisplayTransformation (const visBase::Transformation *)
void | setID (const VisID &)
void | setName (const char *) override
void | setName (const uiString &uistr)
void | setPickable (bool actively, bool passively=true)
virtual void | setPixelDensity (float dpi)
void | setUiName (const uiString &)
uiString | uiName () const
void | updateSel () const
Public Member Functions inherited from SharedObject
| SharedObject (const char *nm=nullptr)
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const
Public Member Functions inherited from visSurvey::SurveyObject
virtual bool | alreadyTransformed (int attrib) const
virtual bool | canBeRemoved () const
virtual bool | canHandleColTabSeqTrans (int) const
virtual bool | canRemoveSelection () const
virtual bool | canShowTexture () const
virtual void | clearSelections ()
virtual bool | displayedOnlyAtSections () const
virtual void | enableEditor (bool yn)
const Survey::Geometry3D * | get3DSurvGeom () const
virtual const char * | get3DSurvGeomName () const
virtual OD::Pol2D3D | getAllowedDataType () const
virtual OD::Color | getAnnotColor () const
OD::Color | getBackgroundColor () const
void | getChannelName (int, uiString &) const
virtual void | getChildren (TypeSet< VisID > &) const
virtual OD::Color | getColor () const
virtual DataPackID | getDataPackID (int attrib) const
virtual mDeprecatedObs DataPackMgr::MgrID | getDataPackMgrID () const
virtual ConstRefMan< DataPack > | getDisplayedDataPack (int attrib) const
virtual DataPackID | getDisplayedDataPackID (int attrib) const
virtual ConstRefMan< FlatDataPack > | getFlatDataPack (int attr) const
virtual Pos::GeomID | getGeomID () const
virtual void | getLineWidthBounds (int &min, int &max)
virtual NotifierAccess * | getLockNotifier ()
virtual MultiID | getMultiID () const
virtual void | getPickingMessage (BufferString &msg) const
virtual ConstRefMan< PointDataPack > | getPointDataPack (int attr) const
virtual bool | getRandomPosCache (int attrib, DataPointSet &) const
virtual BufferString | getResolutionName (int) const
bool | getSaveInSessionsFlag () const
virtual Scene * | getScene ()
virtual const Scene * | getScene () const
SceneID | getSceneID () const
virtual Coord3 | getTranslation () const
int | getUpdateStageNr () const
virtual bool | hasColor () const
bool | hasSelSpec (const Attrib::SelSpec &, int &attrib, int &version) const
virtual bool | hasSingleColorFallback () const
virtual bool | hasSpecificLineColor () const
virtual bool | hasSpecificMarkerColor () const
bool | isAnyAttribEnabled () const
virtual bool | isLocked () const
virtual bool | isPainting () const
virtual bool | isPicking () const
virtual const OD::LineStyle * | lineStyle () const
virtual void | lock (bool yn)
virtual const MarkerStyle3D * | markerStyle () const
virtual void | otherObjectsMoved (const ObjectSet< const SurveyObject > &, const VisID &whichobj)
virtual void | readAuxData ()
virtual bool | removeSelections (TaskRunner *)
virtual void | set3DSurvGeom (const Survey::Geometry3D *)
virtual void | setAnnotColor (OD::Color)
virtual void | setColor (OD::Color)
virtual bool | setDataPackID (int attrib, const DataPackID &, TaskRunner *)
virtual bool | setFlatDataPack (int attr, FlatDataPack *, TaskRunner *)
virtual void | setLineStyle (const OD::LineStyle &)
virtual void | setMarkerStyle (const MarkerStyle3D &)
virtual void | setOnlyAtSectionsDisplay (bool)
virtual bool | setPointDataPack (int attr, PointDataPack *, TaskRunner *)
void | setSaveInSessionsFlag (bool yn)
virtual void | setTranslation (const Coord3 &)
void | setUserRefs (int attrib, BufferStringSet *nms)
virtual bool | showsTexture () const
virtual void | snapToTracePos (Coord3 &) const
virtual void | turnOnSelectionMode (bool)
virtual bool | usesColor () const
virtual bool | usesTexture () const
virtual void | useTexture (bool yn, bool trigger)

## Static Public Member Functions
static const char * | sKeyDepthKey ()
static const char * | sKeyPlaneKey ()
Static Public Member Functions inherited from visBase::VisualObjectImpl
static const char * | sKeyIsOn ()
static const char * | sKeyMaterial ()
static const char * | sKeyMaterialID ()
Static Public Member Functions inherited from visBase::DataObject
static osgViewer::CompositeViewer * | getCommonViewer ()
static float | getDefaultPixelDensity ()
static VisID | getID (const osg::Node *)
static bool | isVisualizationThread ()
static void | requestSingleRedraw ()
static void | setCommonViewer (osgViewer::CompositeViewer *)
static void | setDefaultPixelDensity (float)
static void | setVisualizationThread (const void *)
| Call only once from initialization.
Static Public Member Functions inherited from SharedObject
static Notifier< SharedObject > & | instanceCreated ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)
Static Public Member Functions inherited from visSurvey::SurveyObject
static float | sDefMaxDist ()
static const char * | sKeyAttribs ()
static const char * | sKeyColTabID ()
static const char * | sKeyLocked ()
static const char * | sKeyMapper ()
static const char * | sKeyNrAttribs ()
static const char * | sKeyNrVersions ()
static const char * | sKeySelTexture ()
static const char * | sKeySequence ()
static const char * | sKeySurvey ()
static const char * | sKeyTC2RGBA ()
static const char * | sKeyTextTrans ()

## Protected Member Functions
| ~PlaneDataDisplay ()
void | addCache () override
void | coltabChanged (CallBacker *)
void | createTransformedDataPack (int attrib, TaskRunner *=nullptr)
void | dataTransformCB (CallBacker *)
void | draggerFinish (CallBacker *)
void | draggerMotion (CallBacker *)
void | draggerRightClick (CallBacker *)
void | draggerStart (CallBacker *)
void | emptyCache (int) override
bool | getCacheValue (int attrib, int version, const Coord3 &, float &) const override
| Coord is in attribute space.
ConstRefMan< DataPack > | getDataPack (int attrib) const override
RefMan< VolumeDataPack > | getVolumeDataPack (int attrib)
ConstRefMan< VolumeDataPack > | getVolumeDataPack (int attrib) const override
bool | hasCache (int) const override
void | manipChanged (CallBacker *)
void | removeCache (int) override
void | setDraggerPos (const TrcKeyZSampling &)
bool | setRandomPosDataNoCache (int attrib, const BinIDValueSet *, TaskRunner *)
void | setScene (Scene *) override
void | setSceneEventCatcher (visBase::EventCatcher *) override
bool | setVolumeDataPack (int attrib, VolumeDataPack *, TaskRunner *) override
TrcKeyZSampling | snapPosition (const TrcKeyZSampling &, bool onlyic=false) const
void | swapCache (int, int) override
void | updateChannels (int attrib, TaskRunner *)
void | updateMainSwitch ()
void | updateMouseCursorCB (CallBacker *) override
void | updateRanges (bool resetinlcrl=false, bool resetz=false)
void | updateRanges (bool resetpos=false)
void | updateTexOriginAndScale (int attrib, const TrcKeyZSampling &)
void | updateTexShiftAndGrowth ()
bool | usesDataPacks () const override
Protected Member Functions inherited from visSurvey::MultiTextureSurveyObject
| MultiTextureSurveyObject ()
| ~MultiTextureSurveyObject ()
void | getValueString (const Coord3 &, BufferString &) const
| Coord is in ztransformed space.
virtual bool | init ()
void | updateMainSwitch ()
Protected Member Functions inherited from visBase::VisualObjectImpl
| VisualObjectImpl (bool selectable)
virtual | ~VisualObjectImpl ()
int | addChild (osg::Node *)
int | childIndex (const osg::Node *) const
void | insertChild (int pos, osg::Node *)
virtual void | materialChangeCB (CallBacker *)
void | removeChild (osg::Node *)
void | setGroupNode (DataObject *)
virtual void | setGroupNode (osg::Group *)
| Must be called during construction.
Protected Member Functions inherited from visBase::VisualObject
| VisualObject (bool selectable=false)
| ~VisualObject ()
void | triggerDeSel () override
void | triggerRightClick (const EventInfo *) override
void | triggerSel () override
Protected Member Functions inherited from visBase::DataObject
| DataObject ()
| ~DataObject ()
void | doAddNodeState (NodeState *)
virtual osg::StateSet * | getStateSet ()
template<class T >
T * | setOsgNode (T *t)
| Must be called during construction.
void | updateNodemask ()
Protected Member Functions inherited from SharedObject
| ~SharedObject ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)
Protected Member Functions inherited from visSurvey::SurveyObject
| SurveyObject ()
virtual | ~SurveyObject ()
void | initAdaptiveMouseCursor (CallBacker *eventcb, const VisID &, int inplanedragkeys, MouseCursor &)

## Static Protected Member Functions
static const char * | sKeyGridLinesID ()
static const char * | sKeyOrientation ()
static const char * | sKeyResolution ()
Static Protected Member Functions inherited from visSurvey::SurveyObject
static int | cValNameOffset ()

## Protected Attributes
TrcKeyZSampling | csfromsession_
BinID | curicstep_
Notifier< PlaneDataDisplay > | datachanged_
RefObjectSet< RegularSeisDataPack > | datapacks_
RefMan< ZAxisTransform > | datatransform_
ConstRefMan< mVisTrans > | displaytrans_
RefMan< visBase::DepthTabPlaneDragger > | dragger_
RefMan< visBase::EventCatcher > | eventcatcher_
bool | forcemanipupdate_ = false
RefMan< visBase::GridLines > | gridlines_
bool | ineditmode_ = false
bool | interactivetexturedisplay_ = false
MouseCursor | mousecursor_
Notifier< PlaneDataDisplay > | movefinished_
Notifier< PlaneDataDisplay > | moving_
SliceType | orientation_ = OD::SliceType::Inline
int | originalresolution_ = -1
ObjectSet< BinIDValueSet > | rposcache_
TrcKeyZSampling | startmovepos_
RefMan< visBase::TextureRectangle > | texturerect_
RefObjectSet< RegularSeisDataPack > | transformedpacks_
Undo & | undo_
UpdateStageInfo | updatestageinfo_
int | voiidx_ = -1
Protected Attributes inherited from visSurvey::MultiTextureSurveyObject
RefMan< visBase::TextureChannels > | channels_
int | resolution_ = 0
Protected Attributes inherited from visBase::VisualObjectImpl
RefMan< Material > | material_
bool | righthandsystem_ = true
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_
Protected Attributes inherited from visSurvey::SurveyObject
BufferString | errmsg_
bool | locked_ = false
ConstRefMan< Survey::Geometry3D > | s3dgeom_
bool | saveinsessionsflag_ = true
Scene * | scene_ = nullptr
BufferString | survname_
int | updatestagenr_ = 0
ObjectSet< BufferStringSet > | userrefs_
bool | usestexture_ = true
bool | validtexture_ = false

## Detailed Description

Used for displaying an inline, crossline or timeslice.

A PlaneDataDisplay object is the front-end object for displaying an inline, crossline or timeslice. Use setOrientation(Orientation) for setting the requested orientation of the slice.

<>

## Member Typedef Documentation

## ◆ SliceType

typedef OD::SliceType visSurvey::PlaneDataDisplay::SliceType

## Constructor & Destructor Documentation

## ◆ PlaneDataDisplay()

visSurvey::PlaneDataDisplay::PlaneDataDisplay | ( |  | ) |

## ◆ ~PlaneDataDisplay()

visSurvey::PlaneDataDisplay::~PlaneDataDisplay | ( |  | ) |
| protected

## Member Function Documentation

## ◆ acceptManipulation()

void visSurvey::PlaneDataDisplay::acceptManipulation | ( |  | ) |
| override virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ addCache()

void visSurvey::PlaneDataDisplay::addCache | ( |  | ) |
| override protected virtual

Implements visSurvey::MultiTextureSurveyObject.

## ◆ allowMaterialEdit()

bool visSurvey::PlaneDataDisplay::allowMaterialEdit | ( |  | ) | const
| inline override virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ allowsPicks()

bool visSurvey::PlaneDataDisplay::allowsPicks | ( |  | ) | const
| inline override virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ annotateNextUpdateStage()

void visSurvey::PlaneDataDisplay::annotateNextUpdateStage | ( | bool | yn | ) |
| override virtual

Annotation to enumerate distinguishable stages in an update sequence. False resets updatestagenr_ to zero. For example: `no updating #0 annotateNextUpdateStage( true ); update geometry #1 annotateNextUpdateStage( true ); update textures #2 annotateNextUpdateStage( false ); no updating #0` Derived class decides whether to neglect or act, e.g. by (de/re)freezing its display.

Reimplemented from visSurvey::SurveyObject.

## ◆ calcDist()

float visSurvey::PlaneDataDisplay::calcDist | ( | const Coord3 & |  | ) | const
| override virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ canDuplicate()

bool visSurvey::PlaneDataDisplay::canDuplicate | ( |  | ) | const
| inline override virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ canResetManipulation()

bool visSurvey::PlaneDataDisplay::canResetManipulation | ( |  | ) | const
| inline override virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ coltabChanged()

void visSurvey::PlaneDataDisplay::coltabChanged | ( | CallBacker * |  | ) |
| protected

## ◆ createTransformedDataPack()

void visSurvey::PlaneDataDisplay::createTransformedDataPack | ( | int | attrib,
|  | TaskRunner * | = nullptr )
| protected

## ◆ createTransverseSection()

PlaneDataDisplay * visSurvey::PlaneDataDisplay::createTransverseSection | ( | const Coord3 & | pos,
|  | OD::SliceType | slicetype ) const

## ◆ dataTransformCB()

void visSurvey::PlaneDataDisplay::dataTransformCB | ( | CallBacker * |  | ) |
| protected

## ◆ draggerFinish()

void visSurvey::PlaneDataDisplay::draggerFinish | ( | CallBacker * |  | ) |
| protected

## ◆ draggerMotion()

void visSurvey::PlaneDataDisplay::draggerMotion | ( | CallBacker * |  | ) |
| protected

## ◆ draggerRightClick()

void visSurvey::PlaneDataDisplay::draggerRightClick | ( | CallBacker * |  | ) |
| protected

## ◆ draggerStart()

void visSurvey::PlaneDataDisplay::draggerStart | ( | CallBacker * |  | ) |
| protected

## ◆ duplicate()

SurveyObject * visSurvey::PlaneDataDisplay::duplicate | ( | TaskRunner * |  | ) | const
| override virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ emptyCache()

void visSurvey::PlaneDataDisplay::emptyCache | ( | int |  | ) |
| override protected virtual

Implements visSurvey::MultiTextureSurveyObject.

## ◆ fillPar()

void visSurvey::PlaneDataDisplay::fillPar | ( | IOPar & |  | ) | const
| override virtual

Reimplemented from visSurvey::MultiTextureSurveyObject.

## ◆ getAttributeFormat()

SurveyObject::AttribFormat visSurvey::PlaneDataDisplay::getAttributeFormat | ( | int | attrib = -1 | ) | const
| override virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ getCacheValue()

bool visSurvey::PlaneDataDisplay::getCacheValue | ( | int | attrib,
|  | int | version,
|  | const Coord3 & | ,
|  | float & | ) const
| override protected virtual

Coord is in attribute space.

Implements visSurvey::MultiTextureSurveyObject.

## ◆ getDataChangedNotifier()

NotifierAccess * visSurvey::PlaneDataDisplay::getDataChangedNotifier | ( |  | ) |
| inline

## ◆ getDataPack()

ConstRefMan< DataPack > visSurvey::PlaneDataDisplay::getDataPack | ( | int | attrib | ) | const
| override protected virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ getDataPackSampling()

TrcKeyZSampling visSurvey::PlaneDataDisplay::getDataPackSampling | ( | int | attrib = 0 | ) | const

## ◆ getDataTraceRange()

Interval< float > visSurvey::PlaneDataDisplay::getDataTraceRange | ( |  | ) | const
| override virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ getDisplayedVolumeDataPack() [1/2]

RefMan< VolumeDataPack > visSurvey::PlaneDataDisplay::getDisplayedVolumeDataPack | ( | int | attrib | ) |

## ◆ getDisplayedVolumeDataPack() [2/2]

ConstRefMan< VolumeDataPack > visSurvey::PlaneDataDisplay::getDisplayedVolumeDataPack | ( | int | attrib | ) | const
| override virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ getDisplayTransformation()

const mVisTrans * visSurvey::PlaneDataDisplay::getDisplayTransformation | ( |  | ) | const
| override virtual

All positions going from the outside world to the vis should be transformed with this transform. This enables us to have different coord-systems outside OI, e.g. we can use UTM coords outside the vis without loosing precision in the vis.

Reimplemented from visBase::DataObject.

## ◆ getManipulationNotifier()

NotifierAccess * visSurvey::PlaneDataDisplay::getManipulationNotifier | ( |  | ) |
| override virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ getManipulationString()

uiString visSurvey::PlaneDataDisplay::getManipulationString | ( |  | ) | const
| override virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ getMouseCursor()

const MouseCursor * visSurvey::PlaneDataDisplay::getMouseCursor | ( |  | ) | const
| inline override virtual

Returns a mouse cursor that will be used if this object under the mouse in Act mode.

Reimplemented from visSurvey::SurveyObject.

## ◆ getMousePosInfo() [1/2]

void visSurvey::PlaneDataDisplay::getMousePosInfo | ( | const visBase::EventInfo & | ,
|  | Coord3 & | ,
|  | BufferString & | val,
|  | uiString & | info ) const
| override virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ getMousePosInfo() [2/2]

void visSurvey::PlaneDataDisplay::getMousePosInfo | ( | const visBase::EventInfo & | ei,
|  | IOPar & | iop ) const
| inline override virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ getMovementNotifier()

NotifierAccess * visSurvey::PlaneDataDisplay::getMovementNotifier | ( |  | ) |
| inline override virtual

Gives access to a notifier that is triggered when object is moved or modified.

Reimplemented from visSurvey::SurveyObject.

## ◆ getNormal()

Coord3 visSurvey::PlaneDataDisplay::getNormal | ( | const Coord3 & | pos | ) | const
| override virtual

Position and Normal are both in displayspace.

Reimplemented from visSurvey::SurveyObject.

## ◆ getObjectInfo()

void visSurvey::PlaneDataDisplay::getObjectInfo | ( | uiString & |  | ) | const
| override virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ getOrientation()

SliceType visSurvey::PlaneDataDisplay::getOrientation | ( |  | ) | const
| inline

## ◆ getRandomPos()

bool visSurvey::PlaneDataDisplay::getRandomPos | ( | DataPointSet & | ,
|  | TaskRunner * | = nullptr ) const
| override virtual

Random pos: Every position is put in the DataPointSet no matter which original patch it belongs to

Reimplemented from visSurvey::SurveyObject.

## ◆ getTextureRectangle()

const visBase::TextureRectangle * visSurvey::PlaneDataDisplay::getTextureRectangle | ( |  | ) | const

## ◆ getTraceKeyPath()

void visSurvey::PlaneDataDisplay::getTraceKeyPath | ( | TrcKeySet & | ,
|  | TypeSet< Coord > * | ) const
| override virtual

If Coordinates are different from the trckeys, they can be delivered in the TypeSet<Coord>*

Reimplemented from visSurvey::SurveyObject.

## ◆ getTranslationDragKeys()

int visSurvey::PlaneDataDisplay::getTranslationDragKeys | ( | bool | depth | ) | const

Parameters

  depth | specifies wheter the depth or the plane setting should be returned.

Returns
  combination of OD::ButtonState

## ◆ getTrcKeyZSampling() [1/2]

TrcKeyZSampling visSurvey::PlaneDataDisplay::getTrcKeyZSampling | ( | bool | displayspace = false,
|  | int | attrib = -1 ) const
| override virtual

Returns
  the volume in world survey coordinates.

Reimplemented from visSurvey::SurveyObject.

## ◆ getTrcKeyZSampling() [2/2]

TrcKeyZSampling visSurvey::PlaneDataDisplay::getTrcKeyZSampling | ( | bool | manippos,
|  | bool | displayspace,
|  | int | attrib = -1 ) const

## ◆ getVolumeDataPack() [1/2]

RefMan< VolumeDataPack > visSurvey::PlaneDataDisplay::getVolumeDataPack | ( | int | attrib | ) |
| protected

## ◆ getVolumeDataPack() [2/2]

ConstRefMan< VolumeDataPack > visSurvey::PlaneDataDisplay::getVolumeDataPack | ( | int | attrib | ) | const
| override protected virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ getZAxisTransform()

const ZAxisTransform * visSurvey::PlaneDataDisplay::getZAxisTransform | ( |  | ) | const
| override virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ getZScale()

float visSurvey::PlaneDataDisplay::getZScale | ( |  | ) | const

## ◆ gridlines()

visBase::GridLines * visSurvey::PlaneDataDisplay::gridlines | ( |  | ) |

## ◆ hasCache()

bool visSurvey::PlaneDataDisplay::hasCache | ( | int |  | ) | const
| override protected virtual

Implements visSurvey::MultiTextureSurveyObject.

## ◆ hasPosModeManipulator()

bool visSurvey::PlaneDataDisplay::hasPosModeManipulator | ( |  | ) | const
| inline override virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ inEditMode()

bool visSurvey::PlaneDataDisplay::inEditMode | ( |  | ) | const
| inline

## ◆ isInlCrl()

bool visSurvey::PlaneDataDisplay::isInlCrl | ( |  | ) | const
| inline override virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ isManipulated()

bool visSurvey::PlaneDataDisplay::isManipulated | ( |  | ) | const
| override virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ isManipulatorShown()

bool visSurvey::PlaneDataDisplay::isManipulatorShown | ( |  | ) | const
| override virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ isVerticalPlane()

bool visSurvey::PlaneDataDisplay::isVerticalPlane | ( |  | ) | const
| override virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ manipChanged()

void visSurvey::PlaneDataDisplay::manipChanged | ( | CallBacker * |  | ) |
| protected

## ◆ maxDist()

float visSurvey::PlaneDataDisplay::maxDist | ( |  | ) | const
| override virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ nrResolutions()

int visSurvey::PlaneDataDisplay::nrResolutions | ( |  | ) | const
| override virtual

Implements visSurvey::MultiTextureSurveyObject.

## ◆ removeCache()

void visSurvey::PlaneDataDisplay::removeCache | ( | int |  | ) |
| override protected virtual

Implements visSurvey::MultiTextureSurveyObject.

## ◆ resetManipulation()

void visSurvey::PlaneDataDisplay::resetManipulation | ( |  | ) |
| override virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ setDisplayTransformation()

void visSurvey::PlaneDataDisplay::setDisplayTransformation | ( | const mVisTrans * |  | ) |
| override

## ◆ setDraggerPos()

void visSurvey::PlaneDataDisplay::setDraggerPos | ( | const TrcKeyZSampling & |  | ) |
| protected

## ◆ setEditMode()

void visSurvey::PlaneDataDisplay::setEditMode | ( | bool | yn | ) |
| inline

## ◆ setOrientation()

void visSurvey::PlaneDataDisplay::setOrientation | ( | SliceType |  | ) |

## ◆ setRandomPosData()

bool visSurvey::PlaneDataDisplay::setRandomPosData | ( | int | attrib,
|  | const DataPointSet * | ,
|  | TaskRunner * | )
| override virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ setRandomPosDataNoCache()

bool visSurvey::PlaneDataDisplay::setRandomPosDataNoCache | ( | int | attrib,
|  | const BinIDValueSet * | ,
|  | TaskRunner * | )
| protected

## ◆ setResolution()

void visSurvey::PlaneDataDisplay::setResolution | ( | int | ,
|  | TaskRunner * | )
| override virtual

Implements visSurvey::MultiTextureSurveyObject.

## ◆ setScene()

void visSurvey::PlaneDataDisplay::setScene | ( | Scene * |  | ) |
| override protected virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ setSceneEventCatcher()

void visSurvey::PlaneDataDisplay::setSceneEventCatcher | ( | visBase::EventCatcher * |  | ) |
| override protected virtual

Reimplemented from visBase::VisualObject.

## ◆ setTranslationDragKeys()

void visSurvey::PlaneDataDisplay::setTranslationDragKeys | ( | bool | depth,
|  | int | keys )

Parameters

  depth | specifies wheter the depth or the plane setting should be changed.
  keys | combination of OD::ButtonState

Note
  only shift/ctrl/alt are used.

## ◆ setTrcKeyZSampling()

void visSurvey::PlaneDataDisplay::setTrcKeyZSampling | ( | const TrcKeyZSampling & |  | ) |
| override virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ setVolumeDataPack()

bool visSurvey::PlaneDataDisplay::setVolumeDataPack | ( | int | attrib,
|  | VolumeDataPack * | ,
|  | TaskRunner * | )
| override protected virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ setZAxisTransform()

bool visSurvey::PlaneDataDisplay::setZAxisTransform | ( | ZAxisTransform * | ,
|  | TaskRunner * | )
| override virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ showManipulator()

void visSurvey::PlaneDataDisplay::showManipulator | ( | bool |  | ) |
| override virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ sKeyDepthKey()

static const char * visSurvey::PlaneDataDisplay::sKeyDepthKey | ( |  | ) |
| inline static

## ◆ sKeyGridLinesID()

static const char * visSurvey::PlaneDataDisplay::sKeyGridLinesID | ( |  | ) |
| inline static protected

## ◆ sKeyOrientation()

static const char * visSurvey::PlaneDataDisplay::sKeyOrientation | ( |  | ) |
| inline static protected

## ◆ sKeyPlaneKey()

static const char * visSurvey::PlaneDataDisplay::sKeyPlaneKey | ( |  | ) |
| inline static

## ◆ sKeyResolution()

static const char * visSurvey::PlaneDataDisplay::sKeyResolution | ( |  | ) |
| inline static protected

## ◆ snapPosition()

TrcKeyZSampling visSurvey::PlaneDataDisplay::snapPosition | ( | const TrcKeyZSampling & | ,
|  | bool | onlyic = false ) const
| protected

## ◆ swapCache()

void visSurvey::PlaneDataDisplay::swapCache | ( | int | ,
|  | int | )
| override protected virtual

Implements visSurvey::MultiTextureSurveyObject.

## ◆ undo() [1/2]

Undo & visSurvey::PlaneDataDisplay::undo | ( |  | ) |

## ◆ undo() [2/2]

const Undo & visSurvey::PlaneDataDisplay::undo | ( |  | ) | const

## ◆ updateChannels()

void visSurvey::PlaneDataDisplay::updateChannels | ( | int | attrib,
|  | TaskRunner * | )
| protected

## ◆ updateMainSwitch()

void visSurvey::PlaneDataDisplay::updateMainSwitch | ( |  | ) |
| protected

## ◆ updateMouseCursorCB()

void visSurvey::PlaneDataDisplay::updateMouseCursorCB | ( | CallBacker * |  | ) |
| override protected virtual

Reimplemented from visSurvey::SurveyObject.

## ◆ updatePlanePos()

bool visSurvey::PlaneDataDisplay::updatePlanePos | ( | const TrcKeyZSampling & |  | ) |

## ◆ updateRanges() [1/2]

void visSurvey::PlaneDataDisplay::updateRanges | ( | bool | resetinlcrl = false,
|  | bool | resetz = false )
| protected

## ◆ updateRanges() [2/2]

void visSurvey::PlaneDataDisplay::updateRanges | ( | bool | resetpos = false | ) |
| protected

## ◆ updateTexOriginAndScale()

void visSurvey::PlaneDataDisplay::updateTexOriginAndScale | ( | int | attrib,
|  | const TrcKeyZSampling & | )
| protected

## ◆ updateTexShiftAndGrowth()

void visSurvey::PlaneDataDisplay::updateTexShiftAndGrowth | ( |  | ) |
| protected

## ◆ usePar()

bool visSurvey::PlaneDataDisplay::usePar | ( | const IOPar & |  | ) |
| override virtual

Reimplemented from visSurvey::MultiTextureSurveyObject.

## ◆ usesDataPacks()

bool visSurvey::PlaneDataDisplay::usesDataPacks | ( |  | ) | const
| inline override protected virtual

Reimplemented from visSurvey::SurveyObject.

## Member Data Documentation

## ◆ csfromsession_

TrcKeyZSampling visSurvey::PlaneDataDisplay::csfromsession_
| protected

## ◆ curicstep_

BinID visSurvey::PlaneDataDisplay::curicstep_
| protected

## ◆ datachanged_

Notifier<PlaneDataDisplay> visSurvey::PlaneDataDisplay::datachanged_
| protected

## ◆ datapacks_

RefObjectSet<RegularSeisDataPack> visSurvey::PlaneDataDisplay::datapacks_
| protected

## ◆ datatransform_

RefMan<ZAxisTransform> visSurvey::PlaneDataDisplay::datatransform_
| protected

## ◆ displaytrans_

ConstRefMan<mVisTrans> visSurvey::PlaneDataDisplay::displaytrans_
| protected

## ◆ dragger_

RefMan<visBase::DepthTabPlaneDragger> visSurvey::PlaneDataDisplay::dragger_
| protected

## ◆ eventcatcher_

RefMan<visBase::EventCatcher> visSurvey::PlaneDataDisplay::eventcatcher_
| protected

## ◆ forcemanipupdate_

bool visSurvey::PlaneDataDisplay::forcemanipupdate_ = false
| protected

## ◆ gridlines_

RefMan<visBase::GridLines> visSurvey::PlaneDataDisplay::gridlines_
| protected

## ◆ ineditmode_

bool visSurvey::PlaneDataDisplay::ineditmode_ = false
| protected

## ◆ interactivetexturedisplay_

bool visSurvey::PlaneDataDisplay::interactivetexturedisplay_ = false
| protected

## ◆ mousecursor_

MouseCursor visSurvey::PlaneDataDisplay::mousecursor_
| protected

## ◆ movefinished_

Notifier<PlaneDataDisplay> visSurvey::PlaneDataDisplay::movefinished_
| protected

## ◆ moving_

Notifier<PlaneDataDisplay> visSurvey::PlaneDataDisplay::moving_
| protected

## ◆ orientation_

SliceType visSurvey::PlaneDataDisplay::orientation_ = OD::SliceType::Inline
| protected

## ◆ originalresolution_

int visSurvey::PlaneDataDisplay::originalresolution_ = -1
| protected

## ◆ rposcache_

ObjectSet<BinIDValueSet> visSurvey::PlaneDataDisplay::rposcache_
| protected

## ◆ startmovepos_

TrcKeyZSampling visSurvey::PlaneDataDisplay::startmovepos_
| protected

## ◆ texturerect_

RefMan<visBase::TextureRectangle> visSurvey::PlaneDataDisplay::texturerect_
| protected

## ◆ transformedpacks_

RefObjectSet<RegularSeisDataPack> visSurvey::PlaneDataDisplay::transformedpacks_
| protected

## ◆ undo_

Undo& visSurvey::PlaneDataDisplay::undo_
| protected

## ◆ updatestageinfo_

UpdateStageInfo visSurvey::PlaneDataDisplay::updatestageinfo_
| protected

## ◆ voiidx_

int visSurvey::PlaneDataDisplay::voiidx_ = -1
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025